Terraform script to setup a virtual machine on ERDC Xerces, with associated virtual network and security group rules to allow for remote SSH access.

#### Prerequests

 * API access to Xerces via either the `cloud.yml` or OpenStack RC file. Both can be found in the "API Access"-tab on your project page on the xerces webpage

 * Terraform, tested with v 0.15.1

#### Instructions

Update the values in `cluster.tfvars`, and then setup the VM by running

```
terraform init
terraform apply -var-file=cluster.tfvars
```
Note the public IP assigned. Add the SSH key to your ssh-agent by running

```
eval $(ssh-agent -s)
ssh-add /path/to/your/private/key
```
You can now ssh into your virtual machine using `ssh ubuntu@vm-public-ip`.

To remove your VM, run `terraform destroy -var-file=cluster.tfvars`
