
variable "network_name" {
  description = "name of the internal network to use"
  default     = "NAME-network"
}

variable "router_name" {
  description = "name of the external facing router"
  default = "NAME-router"
}

variable "instance_name" {
  description = "name of the gateway VM"
  default = "NAME-instance"
}

variable "keypair_name" {
  description = "name of keypair"
  default = "NAME-keypair"
}

variable "public_key_path" {
  description = "The path of the ssh pub key"
  default     = "~/.ssh/id_rsa.pub"
}

variable "subnet_cidr" {
  description = "Subnet CIDR block."
  type        = string
  default     = "10.0.0.0/24"
}

variable "external_net_id" {
  description = "external network ID"
  default     = "df26cc5b-b122-4506-b948-a213d2b0a7d8"
}

variable "image_id" {
  description = "VM image ID"
  default     =  "18a5fc04-39b0-49b8-ac52-3a572ed1d5c3"
}

variable "flavor_name" {
  description = "VM flavor name"
  default = "c2m4"
}

variable "cloud_name" {
  description = "name/key of the cloud provider in the cloud.yml file"
  default = "openstack"
}
